Solved Recommended Java Version to build on?

Discussion in 'Plugin Development' started by RcExtract, Apr 7, 2018.

Thread Status:
Not open for further replies.
  1. Offline

    RcExtract

    So a year before i was suggested to write a plugin supporting java 7 but not 8, cuz most servers were running on java 7. But nowadays, java 10 is released. Should i build my plugin on java 9 then?
     
  2. Online

    timtower Moderator Moderator

    @RcExtract Java 10 is released?
    Do you need the java 8 and 9 features?
     
  3. I would recommend Java 8. Streams, lambdas and other features in it are really useful, and nobody should really have Java 7 any more. Any half decent server host should have it so I would recommend building on 8. Unless you don't use any Java 8 features (which you really should, they're really useful), build on 7.

    Sent from my SM-G903F using Tapatalk
     
  4. Offline

    RcExtract

    I want to know what version of java are most minecraft servers currently running on.
     
  5. Online

    timtower Moderator Moderator

    Well, not java 9 or 10, that is for sure.
    8 is high likely the best shot.
    7 is nice for the servers that should update
     
Thread Status:
Not open for further replies.

Share This Page